Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class AbstractSVGMatrix

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGMatrix

All Implemented Interfaces:
  org.w3c.dom.svg.SVGMatrix

Direct Known Subclasses:
  SVGOMMatrix

    public abstract class AbstractSVGMatrix

extends Object
implements org.w3c.dom.svg.SVGMatrix

This class provides an abstract implementation of the `SVGMatrix` interface.

Field Summary
`protected static AffineTransform` | `FLIP_X_TRANSFORM` The transform used to implement flipX.
`protected static AffineTransform` | `FLIP_Y_TRANSFORM` The transform used to implement flipX.

Constructor Summary
`AbstractSVGMatrix()`

Method Summary
`org.w3c.dom.svg.SVGMatrix` | `flipX()` Implements `SVGMatrix.flipX()`.
`org.w3c.dom.svg.SVGMatrix` | `flipY()` Implements `SVGMatrix.flipY()`.
`float` | `getA()` Implements `SVGMatrix.getA()`.
`protected abstract AffineTransform` | `getAffineTransform()` Returns the associated AffineTransform.
`float` | `getB()` Implements `SVGMatrix.getB()`.
`float` | `getC()` Implements `SVGMatrix.getC()`.
`float` | `getD()` Implements `SVGMatrix.getD()`.
`float` | `getE()` Implements `SVGMatrix.getE()`.
`float` | `getF()` Implements `SVGMatrix.getF()`.
`org.w3c.dom.svg.SVGMatrix` | `inverse()` Implements `SVGMatrix.inverse()`.
`org.w3c.dom.svg.SVGMatrix` | `multiply(org.w3c.dom.svg.SVGMatrix secondMatrix)` Implements `SVGMatrix.multiply(SVGMatrix)`.
`org.w3c.dom.svg.SVGMatrix` | `rotate(float angle)` Implements `SVGMatrix.rotate(float)`.
`org.w3c.dom.svg.SVGMatrix` | `rotateFromVector(float x, float y)` Implements `SVGMatrix.rotateFromVector(float,float)`.
`org.w3c.dom.svg.SVGMatrix` | `scale(float scaleFactor)` Implements `SVGMatrix.scale(float)`.
`org.w3c.dom.svg.SVGMatrix` | `scaleNonUniform(float scaleFactorX, float scaleFactorY)` Implements `SVGMatrix.scaleNonUniform(float,float)`.
`void` | `setA(float a)` Implements `SVGMatrix.setA(float)`.
`void` | `setB(float b)` Implements `SVGMatrix.setB(float)`.
`void` | `setC(float c)` Implements `SVGMatrix.setC(float)`.
`void` | `setD(float d)` Implements `SVGMatrix.setD(float)`.
`void` | `setE(float e)` Implements `SVGMatrix.setE(float)`.
`void` | `setF(float f)` Implements `SVGMatrix.setF(float)`.
`org.w3c.dom.svg.SVGMatrix` | `skewX(float angleDeg)` Implements `SVGMatrix.skewX(float)`.
`org.w3c.dom.svg.SVGMatrix` | `skewY(float angleDeg)` Implements `SVGMatrix.skewY(float)`.
`org.w3c.dom.svg.SVGMatrix` | `translate(float x, float y)` Implements `SVGMatrix.translate(float,float)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLIP_X_TRANSFORM

    protected static final AffineTransform FLIP_X_TRANSFORM

  The transform used to implement flipX.

### FLIP_Y_TRANSFORM

    protected static final AffineTransform FLIP_Y_TRANSFORM

  The transform used to implement flipX.

Constructor Detail

### AbstractSVGMatrix

    public AbstractSVGMatrix()

Method Detail

### getAffineTransform

    protected abstract AffineTransform getAffineTransform()

  Returns the associated AffineTransform.

### getA

    public float getA()

  Implements `SVGMatrix.getA()`.

  Specified by:
    `getA` in interface `org.w3c.dom.svg.SVGMatrix`

### setA

    public void setA(float a)
              throws DOMException

  Implements `SVGMatrix.setA(float)`.

  Specified by:
    `setA` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### getB

    public float getB()

  Implements `SVGMatrix.getB()`.

  Specified by:
    `getB` in interface `org.w3c.dom.svg.SVGMatrix`

### setB

    public void setB(float b)
              throws DOMException

  Implements `SVGMatrix.setB(float)`.

  Specified by:
    `setB` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### getC

    public float getC()

  Implements `SVGMatrix.getC()`.

  Specified by:
    `getC` in interface `org.w3c.dom.svg.SVGMatrix`

### setC

    public void setC(float c)
              throws DOMException

  Implements `SVGMatrix.setC(float)`.

  Specified by:
    `setC` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### getD

    public float getD()

  Implements `SVGMatrix.getD()`.

  Specified by:
    `getD` in interface `org.w3c.dom.svg.SVGMatrix`

### setD

    public void setD(float d)
              throws DOMException

  Implements `SVGMatrix.setD(float)`.

  Specified by:
    `setD` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### getE

    public float getE()

  Implements `SVGMatrix.getE()`.

  Specified by:
    `getE` in interface `org.w3c.dom.svg.SVGMatrix`

### setE

    public void setE(float e)
              throws DOMException

  Implements `SVGMatrix.setE(float)`.

  Specified by:
    `setE` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### getF

    public float getF()

  Implements `SVGMatrix.getF()`.

  Specified by:
    `getF` in interface `org.w3c.dom.svg.SVGMatrix`

### setF

    public void setF(float f)
              throws DOMException

  Implements `SVGMatrix.setF(float)`.

  Specified by:
    `setF` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `DOMException`

### multiply

    public org.w3c.dom.svg.SVGMatrix multiply(org.w3c.dom.svg.SVGMatrix secondMatrix)

  Implements `SVGMatrix.multiply(SVGMatrix)`.

  Specified by:
    `multiply` in interface `org.w3c.dom.svg.SVGMatrix`

### inverse

    public org.w3c.dom.svg.SVGMatrix inverse()
                                      throws org.w3c.dom.svg.SVGException

  Implements `SVGMatrix.inverse()`.

  Specified by:
    `inverse` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `org.w3c.dom.svg.SVGException`

### translate

    public org.w3c.dom.svg.SVGMatrix translate(float x,
                                               float y)

  Implements `SVGMatrix.translate(float,float)`.

  Specified by:
    `translate` in interface `org.w3c.dom.svg.SVGMatrix`

### scale

    public org.w3c.dom.svg.SVGMatrix scale(float scaleFactor)

  Implements `SVGMatrix.scale(float)`.

  Specified by:
    `scale` in interface `org.w3c.dom.svg.SVGMatrix`

### scaleNonUniform

    public org.w3c.dom.svg.SVGMatrix scaleNonUniform(float scaleFactorX,
                                                     float scaleFactorY)

  Implements `SVGMatrix.scaleNonUniform(float,float)`.

  Specified by:
    `scaleNonUniform` in interface `org.w3c.dom.svg.SVGMatrix`

### rotate

    public org.w3c.dom.svg.SVGMatrix rotate(float angle)

  Implements `SVGMatrix.rotate(float)`.

  Specified by:
    `rotate` in interface `org.w3c.dom.svg.SVGMatrix`

### rotateFromVector

    public org.w3c.dom.svg.SVGMatrix rotateFromVector(float x,
                                                      float y)
                                               throws org.w3c.dom.svg.SVGException

  Implements `SVGMatrix.rotateFromVector(float,float)`.

  Specified by:
    `rotateFromVector` in interface `org.w3c.dom.svg.SVGMatrix`
  Throws:
    `org.w3c.dom.svg.SVGException`

### flipX

    public org.w3c.dom.svg.SVGMatrix flipX()

  Implements `SVGMatrix.flipX()`.

  Specified by:
    `flipX` in interface `org.w3c.dom.svg.SVGMatrix`

### flipY

    public org.w3c.dom.svg.SVGMatrix flipY()

  Implements `SVGMatrix.flipY()`.

  Specified by:
    `flipY` in interface `org.w3c.dom.svg.SVGMatrix`

### skewX

    public org.w3c.dom.svg.SVGMatrix skewX(float angleDeg)

  Implements `SVGMatrix.skewX(float)`.

  Specified by:
    `skewX` in interface `org.w3c.dom.svg.SVGMatrix`

### skewY

    public org.w3c.dom.svg.SVGMatrix skewY(float angleDeg)

  Implements `SVGMatrix.skewY(float)`.

  Specified by:
    `skewY` in interface `org.w3c.dom.svg.SVGMatrix`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.